picard.analysis

## Class CollectWgsMetricsWithNonZeroCoverage.WgsMetricsWithNonZeroCoverageCollector

- java.lang.Object
- - picard.analysis.CollectWgsMetrics.WgsMetricsCollector
  - - picard.analysis.CollectWgsMetricsWithNonZeroCoverage.WgsMetricsWithNonZeroCoverageCollector

- Enclosing class:
    CollectWgsMetricsWithNonZeroCoverage

      protected class CollectWgsMetricsWithNonZeroCoverage.WgsMetricsWithNonZeroCoverageCollector
      extends CollectWgsMetrics.WgsMetricsCollector

- - ### Field Summary

    - ### Fields inherited from class picard.analysis.CollectWgsMetrics.WgsMetricsCollector

      `coverageCap, highQualityDepthHistogramArray, intervals, unfilteredBaseQHistogramArray, unfilteredDepthHistogramArray`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WgsMetricsWithNonZeroCoverageCollector(int coverageCap, htsjdk.samtools.util.IntervalList intervals)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToMetricsFile(htsjdk.samtools.metrics.MetricsFile<CollectWgsMetrics.WgsMetrics,Integer> file, boolean includeBQHistogram, CountingFilter dupeFilter, CountingFilter mapqFilter, CountingPairedFilter pairFilter)`
    `boolean` | `areHistogramsEmpty()`
    `protected htsjdk.samtools.util.Histogram<Integer>` | `getDepthHistogram()`

    - ### Methods inherited from class picard.analysis.CollectWgsMetrics.WgsMetricsCollector

      `addBaseQHistogram, addInfo, getHighQualityDepthHistogram, getHistogram, getMetrics, getUnfilteredBaseQHistogram, getUnfilteredDepthHistogram`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WgsMetricsWithNonZeroCoverageCollector

          public WgsMetricsWithNonZeroCoverageCollector(int coverageCap,
                                                        htsjdk.samtools.util.IntervalList intervals)

  - ### Method Detail

    - #### addToMetricsFile

          public void addToMetricsFile(htsjdk.samtools.metrics.MetricsFile<CollectWgsMetrics.WgsMetrics,Integer> file,
                                       boolean includeBQHistogram,
                                       CountingFilter dupeFilter,
                                       CountingFilter mapqFilter,
                                       CountingPairedFilter pairFilter)

      Overrides:
        `addToMetricsFile` in class `CollectWgsMetrics.WgsMetricsCollector`

    - #### getDepthHistogram

          protected htsjdk.samtools.util.Histogram<Integer> getDepthHistogram()

    - #### areHistogramsEmpty

          public boolean areHistogramsEmpty()